/*
 * Copyright (c) 2021, Erich Styger
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef SOURCES_INTRO_ROBOLIB_LINEHISTORY_H_
#define SOURCES_INTRO_ROBOLIB_LINEHISTORY_H_

#include "Reflectance.h"
#if PL_CONFIG_USE_LINE_SENSOR
void HISTORY_SampleSensors(void);

/*!
 * \brief Can be called during turning, will use it to sample sensor values.
 */
bool HISTORY_SampleTurnStopFunction(void);

REF_LineKind HISTORY_LineKind(void);

void HISTORY_Clear(void);
#endif /* PL_CONFIG_USE_LINE_SENSOR */

#endif /* SOURCES_INTRO_ROBOLIB_LINEHISTORY_H_ */
